Author Topic: Adding MRay Version in pulldown  (Read 4066 times)

jimmyt

  • Full Member
  • ***
  • Posts: 11
Adding MRay Version in pulldown
« on: March 20, 2008, 01:30:35 AM »
We need to configure qube to render using the mi361 standalone renderer. How do I add this choice to the mray version pulldown menu?  Can't find anything in docs that explains unless I missed it?

j


jimmyt

  • Full Member
  • ***
  • Posts: 11
Re: Adding MRay Version in pulldown
« Reply #1 on: March 26, 2008, 05:11:37 PM »
Bumping this -- I can see where we can explicitly point to a renderer using the Mray Command field -- that's fine, but there is no where in miGen dialogue to make sure your are gen'ing using the same mentalray that you are going to render through.

And in any case, having to copy and paste this path to the preferred renderer is a pain in the butt -- there MUST be a place where renderers are added or removed from this list. I'm sure this is a dumb question but as far as I can see it is no where in the docs.

j


jimmyt

  • Full Member
  • ***
  • Posts: 11
Re: Adding MRay Version in pulldown
« Reply #2 on: March 26, 2008, 09:05:13 PM »
Not sure where the pipeline folks are -- I've logged a support request on this too.

Anyway, continuing to try and bang at this -- I've found that my gens are automatically picking up on the mayatomr version that is set in the $PATH, but unless I specifically add an override in MRay Command, the default render always goes to what's in the pulldown (in this case 3.5.1). I've tried editing the MentalrayJob.pm file and change all reference to 3.5.1 to 3.5.6 but that doesn't change the pulldown or where qube sends the job by default.

I notice a MI_ROOT env var that I don't think is defined anywhere on the blades -- echo $MI_ROOT doesn't give me back anything, nor do I get anything from local submit box. Should this var be set and if so, should it explicitly point to the mentalray path that I want to use? IE: /usr/autodesk/mi356/bin, or should it point directly to mentalrayrender?

j


Scot Brew

  • Hero Member
  • *****
  • Posts: 272
    • PipelineFX
Re: Adding MRay Version in pulldown
« Reply #3 on: March 31, 2008, 11:01:08 PM »
One may explicitly point to the desired executable, using the "MRay command" box found in the GUI, which will set the "mentalray_command" package variable.  This will allow you to use a non-listed mr standalone version to address your issue.

To get it to come up with that "MRay command" specified when launching the submission dialog, you can do a "Resubmit" on an existing submission or save a submission (using the save/disk icon in the submission dialog and then doing a "Submit->Job From File".

Since the back-end jobtype is exposed, one can also modify the MentalrayJob.pm script and tailor it to use a specific version for your studio directly.  If modifying the jobtypes, it is recommended that your farm configuration have the workers point to a central location where the jobtypes are stored.  See worker_journal_location in the Administration.pdf
« Last Edit: March 31, 2008, 11:13:03 PM by Scot Brew »